# `BB.Error.State.Timeout`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/state/timeout.ex#L5)

State transition timed out.

Raised when a state transition does not complete within the
expected time.

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.State.Timeout{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  from_state: term(),
  path: term(),
  splode: term(),
  stacktrace: term(),
  timeout_ms: term(),
  to_state: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.State.Timeout` without raising it.

## Keys

- :from_state
- :to_state
- :timeout_ms

---

*Consult [api-reference.md](api-reference.md) for complete listing*
